#This script will install TMW (version 0.0.24.1) with all supporting software
#Run this script in the Terminal Window (use the command "sh install.sh")
#Enjoy

#WARNING UNINSTALL YOUR OLD VERSION OF TMW BEFORE RUNNING THIS SCRIPT

#This installs Build-Essential which is needed for compiling source code
sudo apt-get -y install build-essential

#This installs a majority of the necessary dependencies for TMW
sudo apt-get -y install libsdl-net1.2-dev libsdl-mixer1.2-dev libphysfs-dev libcurl4-gnutls-dev libxml2-dev

#This Removes the old version of libguichan
sudo apt-get -y autoremove libguichan0
sudo apt-get -y autoremove libguichan0-dev

#This installs the new version of libguichan
wget http://mirrors.kernel.org/ubuntu/pool/universe/g/guichan/libguichan2_0.7.1-1_i386.deb
sudo dpkg -i libguichan2_0.7.1-1_i386.deb
wget http://mirrors.kernel.org/ubuntu/pool/universe/g/guichan/libguichan2-dev_0.7.1-1_i386.deb
sudo dpkg -i libguichan2-dev_0.7.1-1_i386.deb

#This downloads TMW 0.0.24.1 to your computer and installs the game
wget -c http://prdownloads.sourceforge.net/themanaworld/tmw-0.0.24.1.tar.gz?download
tar xf tmw-0.0.24.1.tar.gz
cd tmw-0.0.24.1
sudo ./configure
sudo make
sudo make install

#Upgrades all the programs and libraries
sudo apt-get install -f

